# Uses of Class
org.eclipse.osgi.container.ModuleWire

Packages that use ModuleWire
Package
Description
org.eclipse.osgi.container

## Uses of ModuleWire in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return ModuleWire
Modifier and Type
Method
Description
`ModuleWire`
ModuleContainer.`resolveDynamic(String dynamicPkgName, ModuleRevision revision)`
Attempts to resolve the specified dynamic package name request for the specified revision.
Methods in org.eclipse.osgi.container that return types with arguments of type ModuleWire
Modifier and Type
Method
Description
`List<ModuleWire>`
ModuleWiring.`getProvidedModuleWires(String namespace)`
Returns the same result as `ModuleWiring.getProvidedWires(String)` except uses type ModuleWire and the returned list is unmodifiable.
`List<ModuleWire>`
ModuleWiring.`getRequiredModuleWires(String namespace)`
Returns the same result as `ModuleWiring.getRequiredWires(String)` except uses type ModuleWire and the returned list is unmodifiable.